<!DOCTYPE html>
<html lang="ko" xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : CouponPopupForm.html
 * @desc    : 쿠폰 등록 팝업 화면
 *============================================================================
 * ISTYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2020.12.23   xyzp1539       최초 작성
 *******************************************************************************
 -->
<div class="modalPopup" data-width="1500">
	<div class="panelStyle" style="height: 750px;">
		<div class="panelTitle">
			<h2 th:text="${'쿠폰 ' + (mode == 'N' ? '등록' : '수정')}">쿠폰등록</h2>
			<button type="button" class="close" onclick="uifnPopupClose('CouponRegForm')"><i class="fa fa-times"></i></button>
		</div>
		
		<div class="panelContent">
			<form id="CouponForm" name="CouponForm" action="#" th:action="@{'/marketing/coupon/save'}" >
				<input type="hidden" name="supplyCompList" 		id="supplyCompList">
				<input type="hidden" name="brandList" 			id="brandList">
				<input type="hidden" name="applyGoodsList" 		id="applyGoodsList">
				<input type="hidden" name="exceptGoodsList" 	id="excepGoodsList">
				<input type="hidden" name="burdenList" 			id="burdenList">
				<input type="hidden" name="cateList" 			id="cateList">
				<input type="hidden" name="rdCpnNm" 			id="rdCpnNm">
				<input type="hidden" name="cpnId" 				id="cpnId" th:if="${cpnDetail}" th:value="${cpnDetail.cpnId}">
				<input type="hidden" name="mode" 				th:value="${mode}"/>

				<div class="tabs">
					<div class="tabsNav">
						<ul>
							<li class="on"><a href="#coupontab1">기본정보</a></li>
							<li><a href="#coupontab2">적용대상</a></li>
							<li><a href="#coupontab3">입점업체분담율</a></li>
							<li class="coupontab4" style="display:none;"><a href="#coupontab4">시리얼및난수</a></li>
							<li class="coupontab5" style="display:none;"><a href="#coupontab5">선착순쿠폰</a></li>
							<li class="coupontab7" style="display:none;"><a href="#coupontab7">제휴채널</a></li>
						</ul>
					</div>
					
					<!-- 기본정보 -->
					<ul class="tabsCont">
						<li class="tab on" id="coupontab1">
							<div class="panelStyle">
								
								<table class="frmStyle">
									<colgroup>
										<col style="width:165px;">
										<col style="width:45%;">
										<col style="width:165px;">
										<col>
									</colgroup>
									<tbody>
										<tr th:if="${cpnDetail}">
											<th>쿠폰번호</th>
											<td colspan="3">
												<span th:if="${cpnDetail}" th:text="${cpnDetail.cpnId}"></span>
											</td>
										</tr>
										<tr>
											<th>쿠폰상태<em class="required" title="필수"></em></th>
											<td colspan="3">
												<label class="rdoBtn" th:if="${cpnStatList}" th:each="oneData, status : ${cpnStatList}" >
													<input type="radio" name="disCpnStat" th:value="${oneData.cd}" th:text="${oneData.cdNm}" data-valid-name="상태" disabled="disabled"/>
												</label>
												<input type="hidden" name="cpnStat"/>
											</td>
										</tr>
										<tr>
											<th>쿠폰유형<em class="required" title="필수"></em></th>
											<td>
												<label class="rdoBtn" th:if="${cpnTypeList}" th:each="oneData, status : ${cpnTypeList}"> 
													<input type="radio" name="rdoCpnType" th:text="${oneData.cdNm}" th:value="${oneData.cd}"/>
												</label>
												<input type="hidden" name="cpnType" required="required" data-valid-name="쿠폰유형">
											</td>
											<th>쿠폰상세유형<em class="required" title="필수"></em></th>
											<td>
												<label class="rdoBtn" th:if="${dcCdList}" th:each="oneData, status : ${dcCdList}"> 
													<input type="radio" name="dcCdGb"  th:text="${oneData.cdNm}" th:value="${oneData.cd}"/>
												</label>
												<input type="hidden" name="dcCd" data-valid-name="할인쿠폰유형">
											</td>
										</tr>
									</tbody>
								</table>
								
								<!-- 쿠폰영역 -->
								<div id="goodsCpnForm"></div>
								
							</div>
						</li>
						<!-- //기본정보 -->
						
						<!-- 쿠폰적용대상-->
						<li class="tab" id="coupontab2">
							<div class="panelStyle">
							</div>
						</li>
						<!-- //쿠폰적용대상-->
						
						<!-- 입점업체분담율-->
						<li class="tab" id="coupontab3">
							<div class="panelStyle">
							</div>
						</li>
						<!-- //입점업체분담율-->
						
						<!-- 난수 및 네임쿠폰 설정 -->
						<li class="tab" id="coupontab4">
							<div class="panelStyle">
							</div>
						</li>
						<!-- //난수 및 네임쿠폰 설정-->
						
						<!-- 선착순 쿠폰 설정 -->
						<li class="tab" id="coupontab5">
							<div class="panelStyle">
							</div>
						</li>
						<!-- //선착순 쿠폰 설정 -->
						
						<!-- 제휴채널 설정 -->
						<li class="tab" id="coupontab7">
							<div class="panelStyle">
							</div>
						</li>
						<!-- //제휴채널 설정 -->
						
					</ul>
				</div>
				
				<div class="mdPopBtnB aR">
					<button type="button" class="btn btn-info btn-lg" onclick="fnPubCustListPopUp();" th:if="${mode == 'U'}">발급받은회원</button>
					<button type="button" class="btn btn-info btn-lg" onclick="fnCustomerIssuePopUp();" th:if="${mode == 'U' and cpnDetail.dcCdGb == 'G233_00' and cpnDetail.cpnStat=='G232_11'}">쿠폰발행</button>  <!-- 난수유형과 시리얼 유형에서는 쿠폰발행기능 X -->
					<button type="button" class="btn btnRight btn-success btn-lg couponButton" id="btnCouponSave" onclick="fnCouponCreate();" th:text="${mode == 'N' ? '등록' : '수정'}"></button>
					<button type="button" class="btn btnRight btn-success btn-lg couponButton" id="btnChangeStatIng" style="display: none;">진행</button>
					<button type="button" class="btn btnRight btn-success btn-lg couponButton" id="btnCouponDelete" style="display: none;">삭제</button>
					<button type="button" class="btn btnRight btn-success btn-lg couponButton" id="btnCouponStop" style="display: none;">중지</button>
					<button type="button" class="btn btnRight btn-success btn-lg couponButton" id="btnCouponEnd" style="display: none;">종료</button>
				</div>
			</form>
		</div>
	</div>
</div>

<script th:inline="javascript">
</script>

<script th:inline="javascript">
	/*<![CDATA[*/
	
	// 상세조회 리스트
	var mode 					= [[${mode}]];
	var cpnDetail 				= [[${cpnDetail}]];
	var randomCpnList 			= [[${randomCpnList}]];
	var issueCnt 				= [[${issueCnt}]];

	// 쿠폰등록기본정보로드
	var goodsCpnInfoSet = function(cpnType) {
		
		// 초기즉시할인쿠폰정보로드
		var url = '';
		
		// 즉시할인쿠폰
		if (cpnType == 'G230_10') {
			url = '/marketing/coupon/popup/cpn1Info';
		}
		// 상품쿠폰, 장바구니쿠폰, 배송비쿠폰
		else {
			url = '/marketing/coupon/popup/goodsCpnInfo';
		}
		
		$.ajax( {
			type		: "POST",
			url 		: url,
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#goodsCpnForm").html(result);
					
					// 할인방식 변경
					$("#CouponForm input[name=rdoDcWay]").bind('click', function () {
						var rdoDcWay 	= $(this).val();
						var strAmtType	= "원";
						
						// 발급이력이있으면 수정안됨
						if (issueCnt > 0 ) {
							return false;
						}
						
						// 금액할인
						if (rdoDcWay == 'G240_10') {
							strAmtType = "원";
							$("#CouponForm input[name=maxDcAmt]").attr("disabled", true);
						}
						// 율할인
						else {
							strAmtType = "%";
							$("#CouponForm input[name=maxDcAmt]").attr("disabled", false);
						}
						
						$('.dcPvalSpan').text(strAmtType);
						$('.dcMvalSpan').text(strAmtType);
						$('.dcAvalSpan').text(strAmtType);
						$('#CouponForm input[name=dcPval]').val(0);
						$('#CouponForm input[name=dcMval]').val(0);
						$('#CouponForm input[name=dcAval]').val(0);
						$('#CouponForm input[name=maxDcAmt]').val(0);
					});
					
					// 할인값 동일적용
					$("#applySameValueBtn").bind('click', function () {
						var cdPval = $("#CouponForm input[name=dcPval]").val();
						$("#CouponForm input[name=dcMval]").val(cdPval);
						$("#CouponForm input[name=dcAval]").val(cdPval);
					});
					
					if (cpnDetail.cpnId == null) {
						// 2021.08.16 초기화실행
						fnResetCouponForm(cpnType);
					}
					
					// 달력적용
					if (cpnDetail.cpnStat == 'G232_10' && issueCnt < 1) {
						$('.schDate').datepicker({
							changeMonth	: true,
							changeYear	: true,
							defaultDate	: $('.schDate').val()
						});
					}
					
					// 적용대상 정보 로드
					applyInfoSet();
				}
			}
		});
	}
	
	// 적용대상 정보 로드
	var applyInfoSet = function(){
		$.ajax( {
			type		: "POST",
			url 		: '/marketing/coupon/popup/applyInfo',
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#coupontab2 .panelStyle").html(result);
					
					// 적용대상자바스크립트 초기화
					applyInfoInit();
					
					// 입점업체분담율 정보 로드
					burdenInfoSet();
				}
			}
		});
	}
	
	// 입점업체분담율 정보 로드
	var burdenInfoSet = function(){
		$.ajax( {
			type		: "POST",
			url 		: '/marketing/coupon/popup/burdenInfo',
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#coupontab3 .panelStyle").html(result);
					
					// 적용대상정보 초기화
					burdenInfoInit();
					
					// 쿠폰정보가 존재, 상품쿠폰, 장바구니쿠폰, 배송비쿠폰, > 일반쿠폰일때 제휴채널 로드
					if (cpnDetail != null && cpnDetail.cpnId != null) {
						if (cpnDetail.cpnType == 'G230_11' || cpnDetail.cpnType == 'G230_20' || cpnDetail.cpnType == 'G230_30') {
							// 일반쿠폰
							if (cpnDetail.dcCdGb == 'G233_00') {
								// 제휴채널로드
								$(".coupontab7").css("display", "block");
								afChannelInfoSet();
							} 
							// 선착순쿠폰
							else if (cpnDetail.dcCdGb == 'G233_30') {
								// 선착순쿠폰로드
								$(".coupontab5").show();
								limitedTimeInfoSet();
								
								// 총발행제한
								$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
							}
							// 시리얼쿠폰
							else if (cpnDetail.dcCdGb == 'G233_10') {
								// 총발행제한
								$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
								$("#CouponForm .serialCpnArea").show(); // 시리얼쿠폰영역 노출
								
								// 랜덤쿠폰로드
								$(".coupontab4").show();
								randomInfoSet();
							}
							// 랜덤쿠폰
							else if (cpnDetail.dcCdGb == 'G233_20') {
								// 총발행제한
								$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
								$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
								$("#CouponForm .randomCpnArea").show(); // 랜덤쿠폰영역 노출
								
								// 랜덤쿠폰로드
								$(".coupontab4").show();
								randomInfoSet();
							}
						}
					}
				}
			}
		});
	}
	
	// 제휴채널 정보 로드
	var afChannelInfoSet = function(){
		$.ajax( {
			type		: "POST",
			url 		: '/marketing/coupon/popup/afChannelInfo',
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#coupontab7 .panelStyle").html(result);

					// 제휴채널정보 초기화
					afChannelInfoInit();
				}
			}
		});
	}
	
	// 선착순쿠폰 정보 로드
	var limitedTimeInfoSet = function(){
		$.ajax( {
			type		: "POST",
			url 		: '/marketing/coupon/popup/limitedTimeInfo',
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#coupontab5 .panelStyle").html(result);
					
					// 선착순쿠폰정보 초기화
					limitedTimeInfoInit();
				}
			}
		});
	}
	
	// 랜덤쿠폰 정보 로드
	var randomInfoSet = function(){
		$.ajax( {
			type		: "POST",
			url 		: '/marketing/coupon/popup/randomInfo',
			data		: JSON.stringify(jsonObj),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				if (result != null) {
					$("#coupontab4 .panelStyle").html(result);
					
					// 랜덤쿠폰정보 초기화
					randomInfoInit();
				}
			}
		});
	}
	
	// 2021.08.17 초기화설정 변경
	$(document).ready(function() {
		
		var cpnId = 0;
		
		// 쿠폰상세
		if (cpnDetail != null && cpnDetail.cpnId != null) {
			cpnId = cpnDetail.cpnId;
		}
		
		// AJAX 로드를 위한 변수 설정
		jsonObj = {
			"cpnId" : cpnId
		}
		
		jsonData = JSON.stringify(jsonObj);
		
		// 쿠폰정보수정
		if (cpnDetail != null && cpnDetail.cpnId != null) {
			// 쿠폰상태값표시
			$("#CouponForm input:radio[name=disCpnStat]").each(function(){
				if ($(this).val() == cpnDetail.cpnStat) {
					$(this).attr("checked", true);
				} else {
					$(this).attr("checked", false);
				}
			});
			
			// 쿠폰유형표시
			$("#CouponForm input:radio[name=rdoCpnType]").attr("disabled", true);
			$("#CouponForm input:radio[name=rdoCpnType]").each(function(){
				if ($(this).val() == cpnDetail.cpnType) {
					$(this).attr("checked", true);
				} else {
					$(this).attr("checked", false);
				}
			});
			
			// 쿠폰유형표시
			$("#CouponForm input:radio[name=dcCdGb]").attr("disabled", true);
			$("#CouponForm input:radio[name=dcCdGb]").each(function(){
				if ($(this).val() == cpnDetail.dcCdGb) {
					$(this).attr("checked", true);
				} else {
					$(this).attr("checked", false);
				}
			});
			
			if (cpnDetail.cpnStat == "G232_10") {
				$("#btnCouponSave").show();		// 저장버튼
				$("#btnChangeStatIng").show();	// 진행버튼
				$("#btnCouponDelete").show();	// 삭제버튼
				$("#btnCouponEnd").show();		// 종료버튼
				$("#CouponForm .buttonSpan").show();	//행추가,삭제버튼
			} 
			else if(cpnDetail.cpnStat == "G232_11") {
				$("#btnCouponSave").hide();		// 저장버튼
				$("#btnCouponStop").show();		// 중지버튼
				$("#btnCouponDelete").show();	// 삭제버튼
				$("#btnCouponEnd").show();		// 종료버튼
				$("#CouponForm .buttonSpan").hide();	//행추가,삭제버튼
			}
			else {
				$("#CouponForm .buttonSpan").hide();	//행추가,삭제버튼
			}
			
			// 쿠폰정보로드
			goodsCpnInfoSet(cpnDetail.cpnType);
		}
		// 쿠폰정보등록
		else {
			$("#CouponForm input:radio[name=rdoCpnType]").eq(0).attr("checked", true);
			
			// 1차쿠폰정보로드
			goodsCpnInfoSet('G230_10');
			
			// 최초등록이면 대기상태
			$("#CouponForm input[name=disCpnStat]").eq(0).attr("checked", true);
		}
	});
	
	// 쿠폰타입변경
	$("#CouponForm input:radio[name=rdoCpnType]").bind('click change', function () {
		// 쿠폰타입
		var cpnType = $(this).val();
		
		goodsCpnInfoSet(cpnType);
	});
	
	// 상세쿠폰유형변경
	$("#CouponForm input:radio[name=dcCdGb]").bind('click change', function () {
		// 상세쿠폰유형
		var cpnType 	= $("#CouponForm input:radio[name=rdoCpnType]:checked").val();
		var dcCdGb 		= $(this).val();
		
		$(".coupontab5").hide(); // 선착순쿠폰 감추기
		$(".coupontab7").hide(); // 제휴채널 감추기
		
		// 시리얼쿠폰영역감추가
		$("#CouponForm .serialCpnArea").hide();
		$("#CouponForm input[name=serialCpnNm]").val("");
		$("#CouponForm input[name=serialCpnQty]").val(0);
		
		// 랜덤쿠폰영역감추가
		$("#CouponForm .randomCpnArea").hide();
		$("#CouponForm input[name=randomCpnQty]").val(0);
		
		// 총발행제한
		$("#CouponForm input[name=totPubLimitQty]").val("0");
		$("#CouponForm input[name=totPubLimitQty]").attr("disabled", false);
		$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", false);
		$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", false);
		
		// 다운로드가능여부
		$("#CouponForm select[name=downAblYn]").attr("disabled", "disabled");
		$("#CouponForm select[name=downAblYn]").val("N");
		
		// 선착순쿠폰
		if (dcCdGb == 'G233_30') {
			// 선착순쿠폰로드
			$(".coupontab5").show();
			limitedTimeInfoSet();
			
			// 총발행제한
			$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
		}
		// 시리얼쿠폰
		else if (dcCdGb == 'G233_10') {
			// 총발행제한
			$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
			$("#CouponForm .serialCpnArea").show(); // 시리얼쿠폰영역 노출
		}
		// 랜덤쿠폰
		else if (dcCdGb == 'G233_20') {
			// 총발행제한
			$("#CouponForm input[name=totPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").attr("disabled", true);
			$("#CouponForm input[name=chkNoLimitTotPubLimitQty]").prop("checked", true);
			$("#CouponForm .randomCpnArea").show(); // 랜덤쿠폰영역 노출
		} 
		// 일반쿠폰
		else if (dcCdGb == 'G233_00') {
			// 상품쿠폰, 장바구니쿠폰, 배송비쿠폰
			if (cpnType == 'G230_11' || cpnType == 'G230_20' || cpnType == 'G230_30') {
				// 제휴채널로드
				$(".coupontab7").show();
				afChannelInfoSet();
			}
			
			// 상품쿠폰
			if (cpnType == 'G230_11') {
				// 다운로드가능여부
				$("#CouponForm select[name=downAblYn]").removeAttr("disabled");
				$("#CouponForm select[name=downAblYn]").val("N");
			}
		}
	});

	// 2021.08.16 초기화기능
	var fnResetCouponForm = function(cpnType) {
		
		$('.schDate').datepicker({
			changeMonth	: true,
			changeYear	: true,
			defaultDate	: $('.schDate').val()
		});
		
		// 할인방식초기화
		$("#CouponForm input[name=rdoDcWay]").trigger("click");
		
		// 초기화
		$("#CouponForm input[name=dcCdGb]").each(function(idx){
			if (idx == 0) {
				$(this).trigger("click");
			}
		});
		
		$("#CouponForm input[name=dcCdGb]").eq(1).attr("disabled", true);
		$("#CouponForm input[name=dcCdGb]").eq(2).attr("disabled", true);
		$("#CouponForm input[name=dcCdGb]").eq(3).attr("disabled", true);
		
		// 선착순쿠폰 감추기
		$(".coupontab5").hide();
		
		// 제휴채널 감추기
		$(".coupontab7").hide();
		
		// 즉시할인쿠폰
		if (cpnType == 'G230_10') {
			
		}
		// 상품쿠폰
		else if (cpnType == 'G230_11') {
			$("#CouponForm input[name=dcCdGb]").eq(3).attr("disabled", false);
			
			// 제휴채널로드
			$(".coupontab7").css("display", "block");
			afChannelInfoSet();
			
			// 다운로드가능여부
			$("#CouponForm select[name=downAblYn]").removeAttr("disabled");
			$("#CouponForm select[name=downAblYn]").val("N");
		}
		// 장바구니쿠폰
		else if (cpnType == 'G230_20') {
			$("#CouponForm input[name=dcCdGb]").eq(1).attr("disabled", false);
			$("#CouponForm input[name=dcCdGb]").eq(2).attr("disabled", false);
			$("#CouponForm .payTypeTr").show();
			
			// 제휴채널로드
			$(".coupontab7").show();
			afChannelInfoSet();
			
			// 다운로드가능여부
			$("#CouponForm select[name=downAblYn]").attr("disabled", "disabled");
			$("#CouponForm select[name=downAblYn]").val("N");
		}
		// 배송비쿠폰
		else if (cpnType == 'G230_30') {
			// 제휴채널로드
			$(".coupontab7").show();
			afChannelInfoSet();
			
			// 다운로드가능여부
			$("#CouponForm select[name=downAblYn]").attr("disabled", "disabled");
			$("#CouponForm select[name=downAblYn]").val("N");
		}
	}
	
	// 진행 버튼 클릭
	$("#btnChangeStatIng").on("click", function() {
		mcxDialog.confirmC("쿠폰을 진행하시겠습니까?<br/>진행 후에는 수정이 제한될 수 있습니다.", {
			btn: ["아니오","예"],
			btnClick: function(index) {
				if(index == 2) {
					let data = { cpnStat : "G232_11"				// 진행
						, cpnId : $('#CouponForm input[name=cpnId]').val()
					}
					var jsonData = JSON.stringify(data);					
					gagajf.ajaxJsonSubmit('/marketing/coupon/changeStat', jsonData, fnCouponSaveCollback);
				}
			}
		});
	});

	// 중지 버튼 클릭
	$("#btnCouponStop").on("click", function() {
		mcxDialog.confirmC("쿠폰 진행을 중지하시겠습니까?<br/>중지 후에는 진행으로 복원하실 수 없습니다.", {
			btn: ["아니오","예"],
			btnClick: function(index) {
				if(index == 2) {
					let data = { cpnStat : "G232_12"			// 중지
						, cpnId : $('#CouponForm input[name=cpnId]').val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/coupon/changeStat', jsonData, fnCouponSaveCollback);
				}
			}
		});
	});

	// 삭제 버튼 클릭
	$("#btnCouponDelete").on("click", function() {
		mcxDialog.confirmC("쿠폰을 삭제하시겠습니까?<br/>삭제한 프로모션은 복원하실 수 없습니다.", {
			btn: ["아니오","예"],
			btnClick: function(index) {
				if(index == 2) {
					let data = { cpnStat: "G232_14"			// 삭제
						, cpnId : $('#CouponForm input[name=cpnId]').val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/coupon/changeStat', jsonData, fnCouponSaveCollback);
				}
			}
		});
	});

	// 종료 버튼 클릭
	$("#btnCouponEnd").on("click", function() {
		mcxDialog.confirmC("쿠폰을 종료하시겠습니까?<br/>종료한 프로모션은 복원하실 수 없습니다.", {
			btn: ["아니오","예"],
			btnClick: function(index) {
				if(index == 2) {
					let data = { cpnStat: "G232_13"			// 종료
						, cpnId : $('#CouponForm input[name=cpnId]').val()
					}
					var jsonData = JSON.stringify(data);
					gagajf.ajaxJsonSubmit('/marketing/coupon/changeStat', jsonData, fnCouponSaveCollback);
				}
			}
		});
	});

	// 쿠폰 등록
	function fnCouponCreate(){
		var chkCpnType 	= $("#CouponForm input[name=rdoCpnType]:checked").val();
		var dcCdGb 		= $("#CouponForm input[name=dcCdGb]:checked").val();
		
		// 필수값들 셋팅
		setReqValue(chkCpnType);

		// 데이터 validation 체크
		if (!checkValidation2()) {
			return false;
		}

		// 즉시할인쿠폰제외
		if (chkCpnType != 'G230_10'){	
			if (!checkValidation20(chkCpnType)) {
				return false;
			}
		}

		// 유효기간 체크
		if (!checkValidation10()) {
			return false;
		}

		// 업체분담율 토탈 100% 넘는지 체크
		if (!fnBurdenValueCheck()) {
			return false;
		}
		
		mcxDialog.confirm('저장하시겠습니까?' , {
			cancelBtnText	: "취소",
			sureBtnText		: "확인",
			sureBtnClick	: function () {
				var usableCustGbArr = [];
				
				var chkCustGb = $('#CouponForm input:checkbox[name=usableCustGbArr]:checked');
				for (let i=0; i< chkCustGb.length; i++) {
					usableCustGbArr.push(chkCustGb.eq(i).val());
				}

				var usableCustGradeArr = [];
				var chkCustGrade = $('#CouponForm input:checkbox[name=usableCustGradeArr]:checked');
				for (let i=0; i< chkCustGrade.length; i++) {
					usableCustGradeArr.push(chkCustGrade.eq(i).val());
				}

				var payTypeArr = [];
				var chkPayType = $('#CouponForm input:checkbox[name=payTypeArr]:checked');
				for (let i=0; i< chkPayType.length; i++) {
					payTypeArr.push(chkPayType.eq(i).val());
				}

				var supplyCompList 		= gagaAgGrid.getAllRowData(supplyGridOptions);
				var brandList 			= gagaAgGrid.getAllRowData(brandGridOptions);
				var applyGoodsList 		= gagaAgGrid.getAllRowData(goodsGridOptions);
				var exceptGoodsList 	= gagaAgGrid.getAllRowData(excepGoodsGridOptions);
				var cateList 			= gagaAgGrid.getAllRowData(cateGridOptions);
				var burdenList 			= gagaAgGrid.getAllRowData(inComGridOptions);
				var limitedTimeCpnList 	= null;
				var afChannelList 		= null;
				
				// 쿠폰유형 상품 쿠폰 && 선착순 쿠폰
				if (chkCpnType == "G230_11" && dcCdGb == "G233_30"){
					limitedTimeCpnList 	= gagaAgGrid.getAllRowData(limitedTimeCpnGridOptions);
				}
				// (쿠폰유형 상품쿠폰, 장바구니쿠폰, 배송비쿠폰) && 일반쿠폰
				if ((chkCpnType == "G230_11" || chkCpnType == "G230_20" || chkCpnType == "G230_30") && dcCdGb == "G233_00") {
					afChannelList = gagaAgGrid.getAllRowData(afLinkOptions);
				}
				
				var pdGb 		= $("#CouponForm select[name=pdGb] option:selected").val();
				var newCustYn 	= $('#CouponForm select[name=newCustYn]').val();
				var firstOrdYn	= $('#CouponForm select[name=firstOrdYn]').val();
				var endAlimYn	= $('#CouponForm select[name=endAlimYn]').val();
				var downAblYn	= $('#CouponForm select[name=downAblYn]').val();
				
				// 즉시할인쿠폰
				if (chkCpnType == "G230_10") {
					pdGb 		= "P";
					newCustYn 	= "N";
					firstOrdYn	= "N";
					endAlimYn	= "N";
					downAblYn	= "N";
				}

				var data = {
					cpnId 				: $('#CouponForm input[name=cpnId]').val()
					,cpnNm 				: $('#CouponForm input[name=cpnNm]').val()
					,cpnDesc 			: $('#CouponForm input[name=cpnDesc]').val()
					,siteCd 			: $('#CouponForm select[name=siteCd]').val()
					,cpnType 			: $('#CouponForm input:radio[name="rdoCpnType"]:checked').val()
					,applyScope 		: $('#CouponForm input:radio[name="rdoApplyScope"]:checked').val()
					,dcWay 				: $('#CouponForm input:radio[name="rdoDcWay"]:checked').val()
					,dcPval 			: strReplaceAll($('#CouponForm input[name=dcPval]').val())
					,dcMval 			: strReplaceAll($('#CouponForm input[name=dcMval]').val())
					,dcAval 			: strReplaceAll($('#CouponForm input[name=dcAval]').val())
					,maxDcAmt 			: strReplaceAll($('#CouponForm input[name=maxDcAmt]').val())
					,pdGb 				: pdGb
					,availStdt 			: $('#CouponForm input[name=availStdt]').val()
					,availEddt 			: $('#CouponForm input[name=availEddt]').val()
					,availDays 			: strReplaceAll($('#CouponForm input[name=availDays]').val())
					,custPubLimitQty 	: strReplaceAll($('#CouponForm input[name=custPubLimitQty]').val())
					,totPubLimitQty 	: strReplaceAll($('#CouponForm input[name=totPubLimitQty]').val())
					,onePubQty 			: strReplaceAll($('#CouponForm input[name=onePubQty]').val())
					,downStdt 			: $('#CouponForm input[name=downStdt]').val()
					,downEddt 			: $('#CouponForm input[name=downEddt]').val()
					,buyLimitAmt 		: strReplaceAll($('#CouponForm input[name=buyLimitAmt]').val())
					,cpnStat 			: $('#CouponForm input:radio[name="disCpnStat"]:checked').val()
					,endAlimYn 			: endAlimYn
					,firstOrdYn 		: firstOrdYn
					,downAblYn 			: downAblYn
					,custJoinStdt 		: $('#CouponForm input[name=custJoinStdt]').val()
					,custJoinEddt 		: $('#CouponForm input[name=custJoinEddt]').val()
					,buyStdt 			: $('#CouponForm input[name=buyStdt]').val()
					,buyEddt 			: $('#CouponForm input[name=buyEddt]').val()
					,newCustYn 			: newCustYn
					,dcCdGb 			: $('#CouponForm input:radio[name="dcCdGb"]:checked').val()
					,rdCpnNm 			: $('#CouponForm input[name="serialCpnNm"]').val()
					,mode 				: $('#CouponForm input[name=mode]').val()
					,scmYn 				: 'N'
					,usableCustGbArr 	: usableCustGbArr
					,usableCustGradeArr : usableCustGradeArr
					,payTypeArr 		: payTypeArr
					,supplyCompList 	: supplyCompList
					,brandList 			: brandList
					,applyGoodsList 	: applyGoodsList
					,exceptGoodsList 	: exceptGoodsList
					,cateList 			: cateList
					,burdenList 		: burdenList
					,limitedTimeCpnList : limitedTimeCpnList
					,afChannelList 		: afChannelList
				};
				
				var jsonData = JSON.stringify(data);
				gagajf.ajaxJsonSubmit($('#CouponForm').prop('action'), jsonData, fnCouponSaveCollback);
			}
		});
	}
	
	// callback  gkatn
	var fnCouponSaveCollback = function (result){
		uifnPopupClose('CouponRegForm');
		$('#btnSearch').trigger('click');
	}
	
	// 발급받은회원 팝업
	var fnPubCustListPopUp = function (){
		let cpnId = $("#CouponForm #cpnId").val();
		var actionUrl = "/marketing/coupon/pubCust/popup/form?cpnId=" + cpnId;
		cfnOpenModalPopup(actionUrl, 'CpnPubCustListPopup');
	};

	// 쿠폰발행팝업
	function fnCustomerIssuePopUp(){
		cfnCpnPubForCustPopup();
	};
	
	// 전송시 값 세팅
	function setReqValue(cpnType){
		
		var dcCdGb = $("#CouponForm input[name=dcCdGb]:checked").val();
		
		// 쿠폰유형값 세팅
		$("#CouponForm input[name=cpnType]").val(cpnType);
		
		// 할인방식값 세팅
		$("#CouponForm input[name=dcWay]").val($('#CouponForm input:radio[name="rdoDcWay"]:checked').val());
		
		// 적용범위값 세팅
		$("#CouponForm input[name=applyScope]").val($('#CouponForm input:radio[name="rdoApplyScope"]:checked').val());
		
		// 쿠폰상태
		$("#CouponForm input[name=cpnStat]").val($('input:radio[name="disCpnStat"]:checked').val());
		
		// 다운로드기간 세팅
		let downStdt = "";
		let downEddt = "";
		downStdt = $('#CouponForm input[name=downStDay]').val()+$('#CouponForm select[name=downStHH]').val()+$('#CouponForm select[name=downStMM]').val()+'00';
		if($('#CouponForm select[name=downEdHH]').val() == "24"){
			downEddt = $('#CouponForm input[name=downEdDay]').val()+'235959';
		}else{
			downEddt = $('#CouponForm input[name=downEdDay]').val()+$('#CouponForm select[name=downEdHH]').val()+$('#CouponForm select[name=downEdMM]').val()+'00';
		}
		downStdt = downStdt.replace(/[^0-9]/g, '');
		downEddt = downEddt.replace(/[^0-9]/g, '');
		$('#CouponForm input[name=downStdt]').val(downStdt);
		$('#CouponForm input[name=downEddt]').val(downEddt);

		// 유효기간 세팅
		let availStdt = "";
		let availEddt = "";
		
		var pdGb = $("#CouponForm select[name=pdGb] option:selected").val();
		if (cpnType == "G230_10") {
			pdGb = "P";
		}
		
		if (pdGb == 'P') {
			availStdt = $('#CouponForm input[name=availStDay]').val() + $('#CouponForm select[name=availStHH]').val() + $('#CouponForm select[name=availStMM]').val()+'00';
			
			if ($('#CouponForm select[name=availEdHH]').val() == "24") {
				availEddt = $('#CouponForm input[name=availEdDay]').val() + '235959';
			} else {
				availEddt = $('#CouponForm input[name=availEdDay]').val() + $('#CouponForm select[name=availEdHH]').val() + $('#CouponForm select[name=availEdMM]').val()+'00';
			}
			
			availStdt = availStdt.replace(/[^0-9]/g, '');
			availEddt = availEddt.replace(/[^0-9]/g, '');
			
			$('#CouponForm input[name=availStdt]').val(availStdt);
			$('#CouponForm input[name=availEddt]').val(availEddt);
			$('#CouponForm input[name=availDays]').val('');
		} else {
			$('#CouponForm input[name=availStdt]').val('');
			$('#CouponForm input[name=availEddt]').val('');
		}

		// 첫구매기간세팅
		let buyStdt = "";
		let buyEddt = "";
		buyStdt = $('#CouponForm input[name=buyStDay]').val()+$('#CouponForm select[name=buyStHH]').val()+$('#CouponForm select[name=buyStMM]').val()+'00';
		if($('#CouponForm select[name=buyEdHH]').val() == "24"){
			buyEddt = $('#CouponForm input[name=buyEdDay]').val()+'235959';
		}else{
			buyEddt = $('#CouponForm input[name=buyEdDay]').val()+$('#CouponForm select[name=buyEdHH]').val()+$('#CouponForm select[name=buyEdMM]').val()+'00';
		}
		buyStdt = buyStdt.replace(/[^0-9]/g, '');
		buyEddt = buyEddt.replace(/[^0-9]/g, '');
		$('#CouponForm input[name=buyStdt]').val(buyStdt);
		$('#CouponForm input[name=buyEddt]').val(buyEddt);

		// 신규회원기간 세팅
		let custJoinStdt = "";
		let custJoinEddt = "";
		custJoinStdt = $('#CouponForm input[name=custJoinStDay]').val()+$('#CouponForm select[name=custJoinStHH]').val()+$('#CouponForm select[name=custJoinStMM]').val()+'00';
		if($('#CouponForm select[name=custJoinEdHH]').val() == "24"){
			custJoinEddt = $('#CouponForm input[name=custJoinEdDay]').val()+'235959';
		}else{
			custJoinEddt = $('#CouponForm input[name=custJoinEdDay]').val()+$('#CouponForm select[name=custJoinEdHH]').val()+$('#CouponForm select[name=custJoinEdMM]').val()+'00';
		}
		custJoinStdt = custJoinStdt.replace(/[^0-9]/g, '');
		custJoinEddt = custJoinEddt.replace(/[^0-9]/g, '');
		$('#CouponForm input[name=custJoinStdt]').val(custJoinStdt);
		$('#CouponForm input[name=custJoinEddt]').val(custJoinEddt);

		// 할인쿠폰 유형에 따른 총 발행수량 수정 (주문서 쿠폰이고 난수쿠폰일 경우)
		if (cpnType == "G230_20" && dcCdGb == "G233_20") {
			$('#CouponForm input[name="totPubLimitQty"]').val($('#CouponForm input[name="randomCpnQty"]').val());	// 총 발행수량 난수 생성수량으로 변경
			$('#CouponForm input[name="custPubLimitQty"]').val(1);		// 1인당 발행제한수량 1개 고정
			$('#CouponForm input[name="onePubQty"]').val(1);			// 1회발행수량 1개 고정
		} 
		// 주문서 쿠폰이고 시리얼 유형일 경우
		else if (cpnType == "G230_20" && dcCdGb == "G233_10") {		
			$('#CouponForm input[name="rdCpnNm"]').val($('#CouponForm input[name="serialCpnNm"]').val());			// 시리얼유형쿠폰명 저장
			$('#CouponForm input[name="totPubLimitQty"]').val($('#CouponForm input[name="serialCpnQty"]').val());	// 총 발행수량 랜덤쿠폰발급수량으로 변경
			$('#CouponForm input[name="custPubLimitQty"]').val(1);		// 1인당 발행제한수량 1개 고정
			$('#CouponForm input[name="onePubQty"]').val(1);			// 1회발행수량 1개 고정
		}

		$('#CouponForm #supplyCompList').val(gagaAgGrid.getAllRowData(supplyGridOptions));
		$('#CouponForm #brandList').val(gagaAgGrid.getAllRowData(brandGridOptions));
		$('#CouponForm #cateList').val(gagaAgGrid.getAllRowData(cateGridOptions));
		
		// 적용대상 - 적용상품 그리드 전체값 세팅
		$('#CouponForm #applyGoodsList').val(gagaAgGrid.getAllRowData(goodsGridOptions));
		
		// 적용대상 - 제외상품 그리드 전체값 세팅
		$('#CouponForm #excepGoodsList').val(gagaAgGrid.getAllRowData(excepGoodsGridOptions));
		
		// 입점업체분담율 그리드 전체값 세팅
		$('#CouponForm #burdenList').val(gagaAgGrid.getAllRowData(inComGridOptions));
	}
	
	// 기본정보체크 (전체쿠폰)
	function checkValidation2(){
		var dcCdGb = $("#CouponForm input[name=dcCdGb]:checked").val();
		
		// 쿠폰명 체크
		var chkCpnNm = $('#CouponForm input[name=cpnNm]').val();
		if (gagajf.isNull(chkCpnNm)) {
			mcxDialog.alert("쿠폰명을 입력해주세요.");
			$('#CouponForm input[name=cpnNm]').focus();
			return false;
		}

		// 할인금액, 할인율 체크
		var chkDcPval = $('#CouponForm input[name=dcPval]').val();
		var chkDcMval = $('#CouponForm input[name=dcMval]').val();
		var chkDcAval = $('#CouponForm input[name=dcAval]').val();
		if (gagajf.isNull(chkDcPval) || chkDcPval < 1) {
			mcxDialog.alert("할인값(PC)을 입력해주세요.");
			$('#CouponForm input[name=dcPval]').focus();
			return false;
		}
		if (gagajf.isNull(chkDcMval) || chkDcMval < 1) {
			mcxDialog.alert("할인값(모바일웹)을 입력해주세요.");
			$('#CouponForm input[name=dcMval]').focus();
			return false;
		}
		if (gagajf.isNull(chkDcAval) || chkDcAval < 1) {
			mcxDialog.alert("할인값(모바일앱)을 입력해주세요.");
			$('#CouponForm input[name=dcAval]').focus();
			return false;
		}

		// 할인방식 할인율 일때, 최대할인금액 0 보다 큰지 체크
		if ($('#CouponForm input:radio[name="rdoDcWay"]:checked').val() == 'G240_11') {
			if($('#CouponForm').find('input[name=maxDcAmt]').val() < 1){
				mcxDialog.alert("최대 할인 금액을 입력해주세요.");
				$('#CouponForm input[name=maxDcAmt]').focus();
				return false;
			}
		}

		if($('#CouponForm input:radio[name="rdoApplyScope"]:checked').val() == 'I'){
			// 적용대상 체크
			let targetCnt = 0;
			let target1 = gagaAgGrid.getAllRowData(supplyGridOptions);
			let target2 = gagaAgGrid.getAllRowData(brandGridOptions);
			let target3 = gagaAgGrid.getAllRowData(cateGridOptions);
			let target4 = gagaAgGrid.getAllRowData(goodsGridOptions);

			targetCnt = target1.length + target2.length + target3.length + target4.length;
			if(targetCnt < 1){
				mcxDialog.alert("적용대상을 설정해주세요.");
				return false;
			}
		}

		return true;
	}
	
	// 쿠폰상세정보체크 (상품쿠폰, 장바구니쿠폰, 배송비쿠폰)
	var checkValidation20 = function (cpnType){
		var dcCdGb = $("#CouponForm input[name=dcCdGb]:checked").val();
		
		// 사용가능고객구분 체크박스 체크
		var usableCustGbCnt = $('#CouponForm input:checkbox[name=usableCustGbArr]:checked').length;
		if(usableCustGbCnt<1){
			mcxDialog.alert("사용가능 고객구분을 체크해주세요.");
			$('#CouponForm input:checkbox[name=usableCustGbArr]').focus();
			return false;
		}
		
		// 사용가능고객등급 체크박스 체크
		var usableCustGradeCnt = $('#CouponForm input:checkbox[name=usableCustGradeArr]:checked').length;
		if(usableCustGradeCnt<1){
			mcxDialog.alert("사용가능 고객등급을 체크해주세요.");
			$('#CouponForm input:checkbox[name=usableCustGradeArr]').focus();
			return false;
		}

		if ($('#CouponForm select[name="pdGb"] option:selected').val() == 'D') {
			if(gagajf.isNull($("#CouponForm input[name=availDays] ").val()) || $("#CouponForm input[name=availDays] ").val() < 1){
				mcxDialog.alert("유효기간 일수를 입력해주세요.");
				$('#CouponForm input[name=availDays]').focus();
				return false;
			}
		}

		// 다운로드일시 validation 체크
		var downFromDate = $('#CouponForm input[name=downStDay]').val();
		var downToDate = $('#CouponForm input[name=downEdDay]').val();

		if (gagajf.isNull(downFromDate) || gagajf.isNull(downToDate)) {
			mcxDialog.alertC("다운로드 시작일자와 종료일자를 입력하세요.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					$('#CouponForm input[name=downStDay]').focus();
				}
			});
			return false;
		}

		if (downFromDate > downToDate) {
			mcxDialog.alertC("다운로드 시작일자는 종료일자 보다 클 수 없습니다.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					$('#CouponForm input[name=downEdDay]').focus();
				}
			});
			return false;
		}

		// 신규가입 지급한다면 validation 체크
		if( $('#CouponForm select[name=newCustYn] option:selected').val() == "Y" ){
			var fromDate = $('#CouponForm input[name=custJoinStDay]').val();
			var toDate = $('#CouponForm input[name=custJoinEdDay]').val();

			if (gagajf.isNull(fromDate) || gagajf.isNull(toDate)) {
				mcxDialog.alertC("신규가입기간 시작일자와 종료일자를 입력하세요.", {
					sureBtnText: "확인",
					sureBtnClick: function() {
						$('#CouponForm input[name=custJoinStDay]').focus();
					}
				});
				return false;
			}

			if (fromDate > toDate) {
				mcxDialog.alertC("등록 시작일자는 종료일자 보다 클 수 없습니다.", {
					sureBtnText: "확인",
					sureBtnClick: function() {
						$('#CouponForm input[name=custJoinEdDay]').focus();
					}
				});
				return false;
			}
		}

		// 첫구매 지급하면 validation 체크
		if( $('#CouponForm select[name=firstOrdYn] option:selected').val() == "Y" ){
			var fromDate = $('#CouponForm input[name=buyStDay]').val();
			var toDate = $('#CouponForm input[name=buyEdDay]').val();

			if (gagajf.isNull(fromDate) || gagajf.isNull(toDate)) {
				mcxDialog.alertC("신규가입기간 시작일자와 종료일자를 입력하세요.", {
					sureBtnText: "확인",
					sureBtnClick: function() {
						$('#CouponForm input[name=buyStDay]').focus();
					}
				});
				return false;
			}

			if (fromDate > toDate) {
				mcxDialog.alertC("등록 시작일자는 종료일자 보다 클 수 없습니다.", {
					sureBtnText: "확인",
					sureBtnClick: function() {
						$('#CouponForm input[name=buyEdDay]').focus();
					}
				});
				return false;
			}
		}

		// 할인율 validation 체크 (100을 넘길수없음)
		if($("CouponForm input[name=rdoDcWay]:checked").val() == 'G240_11') {
			if($('#dcPval').val() > 100) {
				mcxDialog.alert('PC할인율은 100을 초과할수없습니다.');
				$('#dcPval').focus();
				return false;
			} else if( $('#dcMval').val() > 100) {
				mcxDialog.alert('모바일(웹)할인율은 100을 초과할수없습니다.');
				$('#dcMval').focus();
				return false;
			}  else if( $('#dcAval').val() > 100) {
				mcxDialog.alert('모바일(앱)할인율은 100을 초과할수없습니다.');
				$('#dcAval').focus();
				return false;
			}
		}
		
		$("CouponForm input[name=rdoDcWay]:checked")

		// 할인쿠폰 유형에 따른 총 발행수량 수정 (주문서 쿠폰이고 난수쿠폰일 경우)
		// 장바구니쿠폰 && 난수쿠폰일때 
		if (cpnType == "G230_20" && dcCdGb == "G233_20") {
			if($("#CouponForm input[name=randomCpnQty]").val() == "" || $("#CouponForm input[name=randomCpnQty]").val() < 1) {
				mcxDialog.alert('쿠폰의 발급 수량을 입력해주세요.');
				$("#CouponForm input[name=randomCpnQty]").focus();
				return false;
			}
			if($("#CouponForm input[name=randomCpnQty]").val() > 10000) {
				mcxDialog.alert('쿠폰의 발급 수량은 10000장을 초과할 수 없습니다.');
				$("#CouponForm input[name=randomCpnQty]").focus();
				return false;
			}

		}
		// 장바구니쿠폰 && 시리얼쿠폰일때
		else if (cpnType == "G230_20" && dcCdGb == "G233_10") {		// 주문서 쿠폰이고 시리얼 유형일 경우
			if($("#CouponForm input[name=serialCpnNm]").val().length > 10) {
				mcxDialog.alert('시리얼쿠폰키워드는 10글자를 넘을 수 없습니다.');
				$("#CouponForm input[name=serialCpnNm]").focus();
				return false;
			}
			if($("#CouponForm input[name=serialCpnQty]").val() == "" || $("#CouponForm input[name=serialCpnQty]").val() < 1) {
				mcxDialog.alert('쿠폰의 발급 수량을 입력해주세요.');
				$("#CouponForm input[name=serialCpnQty]").focus();
				return false;
			}
			if($("#CouponForm input[name=randomCpnQty]").val() > 10000) {
				mcxDialog.alert('쿠폰의 발급 수량은 10000장을 초과할 수 없습니다.');
				$("#CouponForm input[name=serialCpnQty]").focus();
				return false;
			}
		}
		// 상품쿠폰 && 선착순쿠폰일때
		else if (cpnType == "G230_11" && dcCdGb == "G233_30") {	// 상품쿠폰이고 선착순쿠폰 체크되어 있을때
			let cpnData = gagaAgGrid.getAllRowData(limitedTimeCpnGridOptions);
			if(cpnData.length < 1){
				mcxDialog.alert("선착순 쿠폰을 설정해주세요.");
				return false;
			}else{
				for(i=0; i<cpnData.length; i++){

					if(gagajf.isNull(cpnData[i].limitCpnNm)){
						mcxDialog.alert(i+1 + "번 행의 선착순 쿠폰명을 입력해주세요.");
						return false;
					}

					if(gagajf.isNull(cpnData[i].downStDate)){
						mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드시작일을 입력해주세요.");
						return false;
					}

					if(gagajf.isNull(cpnData[i].downEdDate)){
						mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드시작일을 입력해주세요.");
						return false;
					}

					if(gagajf.isNull(cpnData[i].downStTime)){
						mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드시작일을 입력해주세요.");
						return false;
					}

					if(gagajf.isNull(cpnData[i].downEdTime)){
						mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드종료일을 입력해주세요.");
						return false;
					}

					if(gagajf.isNull(cpnData[i].downLimitQty)){
						mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드가능수량을 입력해주세요.");
						return false;
					}else{
						if(cpnData[i].downLimitQty<1){
							mcxDialog.alert(i+1 + "번 행의 선착순쿠폰 다운로드가능수량을 1개이상 입력해주세요.");
							return false;
						}
					}
				}
				limitedTimeCpnGridOptions.api.setRowData(cpnData);
			}
		}

		// 선착순쿠폰, 시리얼쿠폰, 랜텀쿠폰이 아닐때 동작
		var chkLimitCpnCnt = $("#CouponForm input[name=chkNoLimitTotPubLimitQty]").is(":checked");
		if (chkLimitCpnCnt == false) {
			if (dcCdGb != "G233_30" && dcCdGb != "G233_20" && dcCdGb != "G233_10") {
				let cnt = $("#CouponForm input[name=totPubLimitQty]").val();
				if(cnt < 1){
					mcxDialog.alert("총발행 제한수량은 0보다 커야합니다.");
					return false;
				}
			}
		}

		// 선착순쿠폰, 시리얼쿠폰, 랜텀쿠폰이 아닐때 동작
		var chkCustLimitCpnCnt = $("#CouponForm input[name=chkNoLimitCustPubLimitQty]").is(":checked");
		if (chkCustLimitCpnCnt == false) {
			if(dcCdGb != "G233_30" && dcCdGb != "G233_20" && dcCdGb != "G233_10"){
				let cnt = $("#CouponForm input[name=custPubLimitQty]").val();
				if(cnt < 1){
					mcxDialog.alert("1인당 발행 제한수량은 0보다 커야합니다.");
					return false;
				}
			}
		}

		var chkIssueCnt = $("#CouponForm").find("[name=onePubQty]").val();
		if(chkIssueCnt < 1){
			mcxDialog.alert("1회발행 제한수량은 0보다 커야합니다.");
			return false;
		}

		return true;
	}
	
	// 즉시할인쿠폰일때 데이터 validation 체크
	var checkValidation10 = function (){
		var stdt = $('#CouponForm input[name=availStDay]').val();
		var eddt = $('#CouponForm input[name=availEdDay]').val();
		
		if(gagajf.isNull(stdt)){
			mcxDialog.alert("유효기간 시작일시를 입력해주세요.");
			return false;
		}
		if(gagajf.isNull(eddt)){
			mcxDialog.alert("유효기간 종료일시를 입력해주세요.");
			return false;
		}
		if(stdt>eddt){
			mcxDialog.alert("시작일시가 종료일시보다 클 수 없습니다.");
			return false;
		}

		return true;
	}
	
	// 분담율 합 체크
	var fnBurdenValueCheck = function (){
		let burdenData = gagaAgGrid.getAllRowData(inComGridOptions);
		let totalValue = 0;
		$.each(burdenData, function(idx, item) {
			totalValue += parseInt(item.burdenRate);
		});

		if(totalValue > 100) {
			mcxDialog.alert("업체분담율의 합이 100을 넘을수 없습니다.");
			return false;
		}

		return true;
	};

	// START ::: 2021.04.09 숫자입려 천단위 찍기
	var inputNumberFormat = function(obj) {
	    obj.value = comma(uncomma(obj.value));
	}

	var comma = function(str) {
	    str = String(str);
	    return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
	}

	var uncomma = function(str) {
	    str = String(str);
	    return str.replace(/[^\d]+/g, '');
	}
	// 2021.04.09 숫자입려 천단위 찍기 ::: END
	
	// replce 처리
	var strReplaceAll = function(str) {
		var rtnStr = "";
		if (str != undefined) {
			rtnStr = str.replaceAll(',','');
		}
		return rtnStr;
	}
	
	// 날짜분리 ( 시작/종료날짜구분(start , end) , 날짜String , 적용타겟대상 )
	function splitDate(stedGb , date , targetGb ){
		var str 		= date;
		var dateStr 	= str.split(' ');
		var timeArr 	= dateStr[1].split(':');
		
		if (stedGb == "start") {
			$("#CouponForm input[name="+targetGb+"StDay]").val(dateStr[0]);
			$("#CouponForm select[name="+targetGb+"StHH]").val(timeArr[0]);
			$("#CouponForm select[name="+targetGb+"StMM]").val(timeArr[1]);
		} else {
			$("#CouponForm input[name="+targetGb+"EdDay]").val(dateStr[0]);
			$("#CouponForm select[name="+targetGb+"EdHH]").val(timeArr[0]);
			$("#CouponForm select[name="+targetGb+"EdMM]").val(timeArr[1]);
		}
	}
	
	/*]]>*/
</script>
</html>